| http://www.sim.no/ http://www.coin3d.org/

Public Member Functions | Protected Attributes | List of all members
SbVec4b Class Reference

`#include <Inventor/SbVec4b.h>`

## Public Member Functions

| SbVec4b (const int8_t v[4])
| SbVec4b (int8_t x, int8_t y, int8_t z, int8_t w)
| SbVec4b (const SbVec4ub &v)
| SbVec4b (const SbVec4s &v)
| SbVec4b (const SbVec4i32 &v)
| SbVec4b (const SbVec4f &v)
| SbVec4b (const SbVec4d &v)
SbVec4b & | setValue (const int8_t v[4])
SbVec4b & | setValue (int8_t x, int8_t y, int8_t z, int8_t w)
SbVec4b & | setValue (const SbVec4ub &v)
SbVec4b & | setValue (const SbVec4s &v)
SbVec4b & | setValue (const SbVec4i32 &v)
SbVec4b & | setValue (const SbVec4f &v)
SbVec4b & | setValue (const SbVec4d &v)
const int8_t * | getValue (void) const
void | getValue (int8_t &x, int8_t &y, int8_t &z, int8_t &w) const
int8_t & | operator[] (int i)
const int8_t & | operator[] (int i) const
int32_t | dot (SbVec4b v) const
void | negate (void)
SbVec4b & | operator*= (int d)
SbVec4b & | operator*= (double d)
SbVec4b & | operator/= (int d)
SbVec4b & | operator/= (double d)
SbVec4b & | operator+= (SbVec4b v)
SbVec4b & | operator-= (SbVec4b v)
SbVec4b | operator- (void) const

## Protected Attributes

int8_t | vec [4]

## Detailed Description

Since
  Coin 2.5

The documentation for this class was generated from the following files:

- SbVec4b.h
- SbVec4b.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.